列出 userflowidentityproviders
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
获取 b2cIdentityUserFlow 对象中的标识 提供程序。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | IdentityUserFlow.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | IdentityUserFlow.ReadWrite.All |
工作或学校帐户需要属于以下角色之一:
- 全局管理员
- 外部 ID 用户流管理员
HTTP 请求
GET /identity/b2cUserFlows/{userflow-id}/userflowIdentityProviders
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK identityProviders 的 JSON 表示形式。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/identity/b2cUserFlows/B2C_test_signin_signup/userflowIdentityProviders
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#Collection(microsoft.graph.identityProviderBase)",
"value": [
{
"@odata.type": "#microsoft.graph.openIdConnectIdentityProvider",
"id": "OIDC-V1-AD_Test-3e393390-ed2d-4794-97f6-5c1a1ccc61f7",
"displayName": "OIDC AD Test",
"clientId": "fe1b1576-adca-4bef-b321-076fde19950b",
"clientSecret": "******",
"scope": "openid",
"metadataUrl": "https://login.microsoftonline.com/contoso.com/.well-known/openid-configuration",
"domainHint": "",
"responseType": "code",
"responseMode": "form_post",
"claimsMapping": {
"userId": "oid",
"displayName": "samuel",
"givenName": "samuel",
"surname": "emmense",
"email": "sam.e@contoso.com"
}
},
{
"@odata.type": "#microsoft.graph.socialIdentityProvider",
"id": "Apple-Managed-OIDC",
"displayName": "Sign in with Apple",
"identityProviderType": "AppleManaged",
"clientId": "com.contoso.client",
"clientSecret": "******"
},
{
"@odata.type": "#microsoft.graph.socialIdentityProvider",
"id": "MSA-OIDC",
"displayName": "Microsoft Account",
"identityProviderType": "Microsoft",
"clientId": "1e02ac8a-0c37-4046-abe4-35098a840090",
"clientSecret": "******"
},
{
"@odata.type": "#microsoft.graph.socialIdentityProvider",
"id": "Facebook-OAUTH",
"displayName": "Facebook",
"identityProviderType": "Facebook",
"clientId": "576628889930009",
"clientSecret": "******"
}
]
}
反馈
提交和查看相关反馈